[download]
1=連接$1:$2...
2=連接$1:$2成功
3=重定向到$1
4=重定向次數太多，退出
5=文件不存在，退出
6=不支持設置文件傳輸起點，退出
7=被中止，退出
8=發生錯誤，退出
9=發生錯誤，等待$1秒後重試...
10=程序出錯，退出
11=超過重試次數，退出
12=得到的文件大小與已有文件的大小不一致，退出
13=開始讀取數據...
14=讀取數據發生錯誤
15=文件頭長度:$1
16=數據包數量:$1
17=數據包長度:$1
18=文件長度:$1

19=對方是內網ip，本機是外網ip，但不允許hub中轉連接請求
20=對方是內網ip，本機ip是外網ip，讓hub中轉連接請求
21=讓hub中轉連接請求失敗
22=已讓hub中轉連接請求，等待對方回應....
23=對方沒有回應
24=收到對方回應
25=等待對方回應超時
26=和對方協議版本不匹配，用低版本協議重試

27=目錄： $1 下的文件： $2 不存在
28=無法打開目錄： $1 下的文件： $2
29=開始連接......
30=開始搜索候選資源......
31=$1個字節數據校驗錯誤，重新下載這部分數據
32=下載成功
33=下載失敗
34=用戶取消下載
35=原始資源連接失敗，等待返回候選資源......
36=不再嘗試搜索候選資源
37=沒搜索到候選資源，稍後重試搜索
38=搜索候選資源發生錯誤，稍後重試搜索
39=原始資源連接成功，得到的文件長度： $1
40=原始資源得到的文件長度太小，等待候選資源搜索返回以便確認......
41=開始創建文件......
42=磁盤剩餘存儲空間不夠，創建文件失敗
43=磁盤不可寫，創建文件失敗
44=文件創建成功，開始下載數據......
45=原始資源當前指向的文件與前次下載時指向的文件不是同一個文件，拋棄
46=原始資源得到的文件長度太小，拋棄
47=開始下載數據......
48=原始資源得到的文件長度與候選資源的不一致，丟棄用候選資源下載的數據
49=搜索到$1個候選資源
50=搜索到的候選資源都過期，丟棄
51=使用候選資源進行連接......
52=連接失敗
53=連接成功，得到文件長度： $1
54=得到的文件長度與已有文件不一致，拋棄
55=得到的文件長度不合要求，拋棄
56=數據校驗錯誤，無法糾正，任務失敗

57=原始資源連接成功，但沒有獲得文件長度信息
58=原始資源沒有文件長度信息，等待候選資源搜索返回以便確認......
59=等待歡迎信息...
61=無法解析域名： $1，退出
62=原始資源連接失敗
63=原始資源沒有文件長度信息，拋棄
64=使用資源$1單線程下載
65=多個資源指向的文件互不相同
66=使用資源$1單獨下載
67=清除其他資源下載的數據，重新下載
68=磁盤剩餘存儲空間不夠，無法繼續下載
69=磁盤剩餘存儲空間不夠，無法合並臨時文件

70=數據文件格式版本太高，無法處理。
71=歷史數據文件格式太高，無法處理。
72=開始合並文件,這個過程可能需要幾分鐘,請耐心等待......
73=合並文件已經完成!
74=成功合並文件$1
75=合並文件$1失敗!
76=正在為$1建立索引......
77=沒有找到任何該類型的文件,合並失敗!
78=目前隻支持RMFF(RealMedia File Format)格式!
79=還剩餘$1個文件需要合並!
80=合並文件失敗
81=沒有找到臨時文件
82=不支持該格式文件

84=開始分析種子文件......
85=打開種子文件 $1 失敗
86=無效的種子文件
87=分析種子文件成功
88=開始查詢BT資源信息(文件編號：$1)......
89=查詢BT資源信息成功(文件編號：$1),BCID：$2
90=查詢BT資源信息失敗(文件編號：$1),$2

91=網絡錯誤
92=服務器查詢失敗
93=服務器沒有資源

94=創建文件 $1 成功
95=文件 $1 下載完成

96=打開BT配置文件失敗
97=出現未知錯誤
98=打開數據文件失敗，請確認您要下載的文件沒有被其它應用程序占用後再次啟動下載
99=重命名數據文件失敗，保存下載文件的文件夾中已存在同名文件，請將同名文件移除或重命名後再次啟動下載
100=無效的文件名

101=連接Tracker $1
102=Tracker $1 failed，$2秒後重試
103=Tracker $1 返回$2個peers
104=DHT網絡返回$1個peers

115=文件創建成功
116=分塊完成
117=錯誤定位
119=文件已完成
120=文件讀寫錯誤,請檢查文件名是否合法或是否有足夠磁盤空間
121=分塊校驗失敗

122=新的客戶ID為$1$2
123=錯誤:$1
124=警告:$1

125=源[$1]開始傳輸
126=源[$1]中止傳輸
127=請求反向連接
128=從服務器搜索源
129=從KAD網絡搜索源
134=源[$1]請求上傳
135=源[$1]請求停止上傳
137=正在連接ED2K服務器...
138=正在連接KAD網絡...
139=來源交換獲得$1個源
140=從ED2K服務器找到$1個源
141=從KAD網絡找到$1個源
142=服務器斷開連接$1:$2
143=KAD已連接
144=缺少文件分塊哈西值,數據無法校驗

151=創建文件失敗，原因：$1